# To change this template, choose Tools | Templates
# and open the template in the editor.
username = gast
password = gast
driver = com.mysql.jdbc.Driver
connectiestring = jdbc:mysql://localhost:3306/competitie

#Constanten ivm clubs
select_clubs = select * from ploeg
select_club = select * from ploeg where id = ?
select_stadion = select stadion.*, gemeente.naam as gemeente, gemeente.postcode as postcode from stadion inner join gemeente on gemeente.id = stadion.gemeenteid where gemeente.id = ?

fout_stadion = fout bij ophalen stadion
fout_club = fout bij ophalen club
fout_clubs = fout bij ophalen clubs

kolom_id = id
kolom_naam = naam
kolom_clubkleuren = clubkleuren
kolom_logo = logo
kolom_website = website
kolom_stadionid = stadionid
kolom_capaciteit = capaciteit
kolom_straat = straat
kolom_nummer = nummer
kolom_gemeente = gemeente
kolom_postcode = postcode

#Constanten ivm voetballers
select_voetballers = select persoon.*,functie.naam as positie from persoon inner join persoonfunctie inner join functie on persoon.id = persoonfunctie.persoonid and persoonfunctie.functieid = functie.id  where functie.naam <> 'Scheidsrechter' 
select_voetballer = select persoon.*,functie.naam as positie from persoon inner join persoonfunctie inner join functie on persoon.id = persoonfunctie.persoonid and persoonfunctie.functieid = functie.id where persoon.id = ? and functie.naam <> 'Scheidsrechter'
select_clubs_voetballer = select ploeg.*,persoonploeg.jaartal as jaartal from ploeg inner join persoonploeg on ploeg.id = persoonploeg.ploegid where persoonploeg.persoonid = ?

kolom_nationaliteit = nationaliteit
kolom_foto = foto
kolom_positie = positie
kolom_jaartal = jaartal

fout_clubs_voetballer = fout bij het ophalen van de clubs van een voetballer
fout_voetballer = fout bij ophalen voetballers
fout_voetballers = fout bij ophalen voetballers

#Constanten ivm scheidsrechters
select_scheidsrechters = select persoon.*,functie.naam as positie from persoon inner join persoonfunctie inner join functie on persoon.id = persoonfunctie.persoonid and persoonfunctie.functieid = functie.id  where functie.naam = 'Scheidsrechter'
select_scheidsrechter = select persoon.*,functie.naam as positie from persoon inner join persoonfunctie inner join functie on persoon.id = persoonfunctie.persoonid and persoonfunctie.functieid = functie.id  where functie.naam = 'Scheidsrechter' and persoon.id = ?

fout_scheidsrechters = fout bij ophalen van de scheidsrechters
fout_scheidsrechter = fout bij ophalen van de scheidsrechter
#Constanten ivm matchen
select_matchen = select * from wedstrijd 
select_match = select * from wedstrijd where id = ?
select_scheidsrechter_match = select persoon.* from persoon inner join wedstrijd on wedstrijd.referee = persoon.id where wedstrijd.id = ?
select_kaarten_match = select * from kaart where matchid = ?
select_doelpunten_match = select * from doelpunt where matchid = ?
select_wissels_match = select * from wissel where matchid = ?
select_spelers_match = select hulp.*,functie.naam as positie from (select persoon.* from persoon inner join persoonploeg inner join persoonwedstrijd on persoon.id = persoonploeg.persoonid and persoonwedstrijd.persoonid = persoon.id where persoonploeg.ploegid = ? and persoonwedstrijd.matchid = ?) as hulp inner join persoonfunctie inner join functie on functie.id = persoonfunctie.functieid and hulp.id = persoonfunctie.persoonid

insert_match = insert into wedstrijd (speeldag,thuisid,uitid,referee,dag,uur,aantaltoeschouwers) values (?,?,?,?,?,?,?)
insert_doelpunt = insert into doelpunt (matchid,persoonid,minuut,owngoal) values (?,?,?,?)
insert_kaart = insert into kaart (matchid,persoonid,minuut,kleur) values (?,?,?,?)
insert_speler = insert into persoonwedstrijd (matchid,persoonid) values (?,?)
insert_wissel = insert into wissel (matchid,inid,minuut,uitid) values (?,?,?,?)
select_id = select last_insert_id()

kolom_speeldag = speeldag
kolom_datum = dag
kolom_uur = uur
kolom_aantaltoeschouwers = aantaltoeschouwers
kolom_thuisid = thuisid
kolom_uitid = uitid
kolom_persoonid = persoonid
kolom_kleur = kleur
kolom_minuut = minuut
kolom_owngoal = owngoal
kolom_inid = inid
kolom_uitid = uitid

fout_matchen = fout bij het ophalen van de matchen
fout_match = fout bij het ophalen van een match
fout_scheidsrechter_match = fout bij het ophalen van een scheidsrechter bij de match
fout_kaarten_match = fout bij het ophalen van de kaarten van een match
fout_doelpunten_match = fout bij het ophalen van de doelpunten van een match
fout_wissels_match = fout bij het ophalen van de wissels van een match
fout_spelers_match = fout bij het ophalen van de spelers van een match